org.eclipse.oomph.targlets

## Interface Targlet

- All Superinterfaces:
    EObject, ModelElement, Notifier
  All Known Implementing Classes:
    TargletImpl

      public interface Targlet
      extends ModelElement

  A representation of the model object 'Targlet'.

  The following features are supported:

  - `Name`
  - `Requirements`
  - `Source Locators`
  - `Installable Unit Generators`
  - `Repository Lists`
  - `Active Repository List Name`
  - `Active Repository List`
  - `Active Repositories`
  - `Include Sources`
  - `Include All Platforms`
  See Also:
    `TargletPackage.getTarglet()`
  Generated
  Model

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `EList<Repository>` | `getActiveRepositories()` Returns the value of the 'Active Repositories' reference list.
    `RepositoryList` | `getActiveRepositoryList()` Returns the value of the 'Active Repository List' reference.
    `String` | `getActiveRepositoryListName()` Returns the value of the 'Active Repository List Name' attribute.
    `EList<IUGenerator>` | `getInstallableUnitGenerators()` Returns the value of the 'Installable Unit Generators' containment reference list.
    `String` | `getName()` Returns the value of the 'Name' attribute.
    `EList<RepositoryList>` | `getRepositoryLists()` Returns the value of the 'Repository Lists' containment reference list.
    `EList<Requirement>` | `getRequirements()` Returns the value of the 'Requirements' containment reference list.
    `EList<SourceLocator>` | `getSourceLocators()` Returns the value of the 'Source Locators' containment reference list.
    `boolean` | `isIncludeAllPlatforms()` Returns the value of the 'Include All Platforms' attribute.
    `boolean` | `isIncludeSources()` Returns the value of the 'Include Sources' attribute.
    `void` | `setActiveRepositoryListName(String value)` Sets the value of the '`Active Repository List Name`' attribute.
    `void` | `setIncludeAllPlatforms(boolean value)` Sets the value of the '`Include All Platforms`' attribute.
    `void` | `setIncludeSources(boolean value)` Sets the value of the '`Include Sources`' attribute.
    `void` | `setName(String value)` Sets the value of the '`Name`' attribute.

    - ### Methods inherited from interface org.eclipse.oomph.base.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getName

          String getName()

      Returns the value of the 'Name' attribute.

      If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Name' attribute.
      See Also:
        `setName(String)`, `TargletPackage.getTarglet_Name()`
      Generated
      Model
        required="true"

    - #### setName

          void setName(String value)

      Sets the value of the '`Name`' attribute.
      Parameters:
        `value` - the new value of the 'Name' attribute.
      See Also:
        `getName()`
      Generated

    - #### getRequirements

          EList<Requirement> getRequirements()

      Returns the value of the 'Requirements' containment reference list. The list contents are of type `Requirement`.

      If the meaning of the 'Requirements' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Requirements' containment reference list.
      See Also:
        `TargletPackage.getTarglet_Requirements()`
      Generated
      Model
        containment="true" extendedMetaData="name='requirement'"

    - #### getSourceLocators

          EList<SourceLocator> getSourceLocators()

      Returns the value of the 'Source Locators' containment reference list. The list contents are of type `SourceLocator`.

      If the meaning of the 'Source Locators' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Source Locators' containment reference list.
      See Also:
        `TargletPackage.getTarglet_SourceLocators()`
      Generated
      Model
        containment="true" extendedMetaData="name='sourceLocator'"

    - #### getInstallableUnitGenerators

          EList<IUGenerator> getInstallableUnitGenerators()

      Returns the value of the 'Installable Unit Generators' containment reference list. The list contents are of type `IUGenerator`.

      If the meaning of the 'Installable Unit Generators' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Installable Unit Generators' containment reference list.
      See Also:
        `TargletPackage.getTarglet_InstallableUnitGenerators()`
      Generated
      Model
        containment="true" extendedMetaData="name='installableUnitGenerator'"

    - #### getRepositoryLists

          EList<RepositoryList> getRepositoryLists()

      Returns the value of the 'Repository Lists' containment reference list. The list contents are of type `RepositoryList`.

      If the meaning of the 'Repository Lists' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Repository Lists' containment reference list.
      See Also:
        `TargletPackage.getTarglet_RepositoryLists()`
      Generated
      Model
        containment="true" extendedMetaData="name='repositoryList'"

    - #### getActiveRepositoryListName

          String getActiveRepositoryListName()

      Returns the value of the 'Active Repository List Name' attribute.

      If the meaning of the 'Active Repository List' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Active Repository List Name' attribute.
      See Also:
        `setActiveRepositoryListName(String)`, `TargletPackage.getTarglet_ActiveRepositoryListName()`
      Generated
      Model
        extendedMetaData="kind='attribute' name='activeRepositoryList'"

    - #### setActiveRepositoryListName

          void setActiveRepositoryListName(String value)

      Sets the value of the '`Active Repository List Name`' attribute.
      Parameters:
        `value` - the new value of the 'Active Repository List Name' attribute.
      See Also:
        `getActiveRepositoryListName()`
      Generated

    - #### getActiveRepositoryList

          RepositoryList getActiveRepositoryList()

      Returns the value of the 'Active Repository List' reference.

      If the meaning of the 'Active Repository List' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Active Repository List' reference.
      See Also:
        `TargletPackage.getTarglet_ActiveRepositoryList()`
      Generated
      Model
        resolveProxies="false" transient="true" changeable="false" volatile="true" derived="true" extendedMetaData="name='activeRepository'"

    - #### getActiveRepositories

          EList<Repository> getActiveRepositories()

      Returns the value of the 'Active Repositories' reference list. The list contents are of type `Repository`.

      If the meaning of the 'Active Repositories' reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Active Repositories' reference list.
      See Also:
        `TargletPackage.getTarglet_ActiveRepositories()`
      Generated
      Model
        resolveProxies="false" transient="true" changeable="false" volatile="true" derived="true" extendedMetaData="name='activeRepository'"

    - #### isIncludeSources

          boolean isIncludeSources()

      Returns the value of the 'Include Sources' attribute. The default value is `"true"`.

      If the meaning of the 'Include Sources' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Include Sources' attribute.
      See Also:
        `setIncludeSources(boolean)`, `TargletPackage.getTarglet_IncludeSources()`
      Generated
      Model
        default="true"

    - #### setIncludeSources

          void setIncludeSources(boolean value)

      Sets the value of the '`Include Sources`' attribute.
      Parameters:
        `value` - the new value of the 'Include Sources' attribute.
      See Also:
        `isIncludeSources()`
      Generated

    - #### isIncludeAllPlatforms

          boolean isIncludeAllPlatforms()

      Returns the value of the 'Include All Platforms' attribute.

      If the meaning of the 'Include All Platforms' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Include All Platforms' attribute.
      See Also:
        `setIncludeAllPlatforms(boolean)`, `TargletPackage.getTarglet_IncludeAllPlatforms()`
      Generated
      Model

    - #### setIncludeAllPlatforms

          void setIncludeAllPlatforms(boolean value)

      Sets the value of the '`Include All Platforms`' attribute.
      Parameters:
        `value` - the new value of the 'Include All Platforms' attribute.
      See Also:
        `isIncludeAllPlatforms()`
      Generated

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html